Subject: Re: Splitting up a changeset

From: Jan Hudec <[email-masked]>
Date: Mon, 20 Aug 2007 21:53:51 +0200

On Mon, Aug 20, 2007 at 21:31:28 +0200, Alex Riesen wrote:
> Frank Showman, Mon, Aug 20, 2007 15:32:11 +0200:
> > What happens to remote repositories that already have the big
> > original changeset (and possibly changes based on it)?
> 
> If someone (or something) has already fetched, pulled, cloned or
> otherwise copied them, you basically can't do anything anymore.
> It is a thing you fundamentally cannot do, unless you're prepared to
> deal with consequences. Not hard, but can be unexpected for some.

If something might already be based on the unsplit change, you probably want
to make the last commit of the split be a merge from the unsplit. Merge will
notice that the changes on both sides are the same and resolve them cleanly
and any further merges won't see them as differences.

If only you or only people you know may have changes based on unsplit, you
can rebase those changes to split for slightly simpler history.

-- 
						 Jan 'Bulb' Hudec <[email-masked]>